package com.hfkj.model.order;

import com.hfkj.entity.BsOrder;
import com.hfkj.entity.BsOrderChild;
import com.hfkj.entity.BsOrderDeduction;
import com.hfkj.entity.GoodsUserAddress;
import lombok.Data;

import java.util.List;

/**
 * 交易订单模型
 * @className: OrderModel
 * @author: HuRui
 * @date: 2024/4/29
 **/
@Data
public class OrderModel extends BsOrder {

    /**
     * 优惠
     */
    private BsOrderDeduction deduction;

    /**
     * 业务信息
     * todo 1.0阶段暂用后续会删除
     */
    private Object business;

    /**
     * 业务信息订单
     */
    private Object businessOrder;

    /**
     * 子订单列表
     */
    private List<OrderChildModel> orderChildList;

}
